"""test the lpu"""

from micado.util.Processor import LocalProcessor


def test_lpu():
    """test if the lpu does not throw an Exception running the nodeinfo job"""
    lpu = LocalProcessor()
    # run as is
    lpu.run("nodeinfo")
    # run with the sleep parameter set
    lpu.run("nodeinfo", sleep=10)
    # run the SimulateRawDarkJob
    lpu.run("rawdark")


def test_lpu_rawdark():
    """test if the lpu does not throw an Exception running the rawdark job"""
    lpu = LocalProcessor()
    # run the SimulateRawDarkJob
    lpu.run("rawdark")


def test_lpu_rawflat():
    """test if the lpu does not throw an Exception running the rawflat job"""
    lpu = LocalProcessor()
    # run the SimulateRawFlatJob
    lpu.run("rawflat")
