"""Module with persistent Non-linearity class."""

from typing import Tuple, List

from micado.main.Img import Img

from micado.main.DataItemExtra import (
    KEY_DATAN,
    KEY_CHI2,
    KEY_DOF,
)


class NonlinearityExtra(Img):
    """Nonlinearity."""

    @classmethod
    def layer_names(cls) -> Tuple[List[str], List[str]]:
        """Layer names for non-linearity."""
        return [KEY_DATAN, KEY_CHI2, KEY_DOF], []
