"""Module with persistent Stack classes."""

from typing import Tuple, Optional

from micado.main.Img import Img


class StackExtra(Img):
    """Stack."""

    @classmethod
    def layers_number(cls) -> Tuple[Optional[int], Optional[int]]:
        """Minimum/maximum number of detectors for each layer.

        The stack has only one layer.
        """
        return 1, 1
